#include <test_stackoverflow.h>
#include <test_helper.h>
#include <spawn/spawn.h>

#define PROCESS_COUNT 1

void do_test_stackoverflow(void) {
    debug_printf("[do_test_stackoverflow]\n");

    struct spawninfo *si = malloc(PROCESS_COUNT * sizeof(struct spawninfo));
    domainid_t *pid = malloc(PROCESS_COUNT * sizeof(domainid_t));

    for(uint i = 0; i < PROCESS_COUNT; ++i) {
        debug_printf("[do_test_stackoverflow]: spawn %u\n", i);
        CHECK_ERR(spawn_load_by_name("stackoverflow", &(si[i]), &(pid[i])));
    }
}
